HADORI(1)

NAME
hadori - hardlink identical files

SYNOPSIS
hadori [ OPTIONS ] [ ARGUMENTS ]

DESCRIPTION
This might look like yet another hardlinking tool, but it is the only one which only memorizes one filename per inode. That results in less memory consumption and faster execution compared to its alternatives. Therefore (and because all the other names are already taken) it's called "HArdlinking DOne RIght".

Advantages over other hardlinking tools:

•   predictability: arguments are scanned in order, each first version is kept

•   much lower CPU and memory consumption

OPTIONS

-h [ --help ]
    print this help message

-V [ --version ]
    print version information

-t [ --no-time ]
    ignore mtime

-n [ --dry-run ]
    don't change anything, implies --verbose

-v [ --verbose ]
    show which files get linked

-d [ --debug ]
    show files being examined

-s [ --stdin ]
    read arguments from stdin, one per line; you can't combine that with arguments on the commandline

-0 [ --null ]
    implies --stdin, but use null bytes as delimiter

AUTHOR
Written by Timo Weingärtner.

REPORTING BUGS
Report bugs to the Debian BTS at https://bugs.debian.org/ or by mail to timo@tiwe.de.